package com.example.demo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

public class TestDto {
    private String title;
    private Date date;
    private String tage;
    private String text;

    public TestDto() {
    }

    @JsonCreator
    public TestDto(
            @JsonProperty(value = "title") String title,
            @JsonProperty(value = "date") Date date,
            @JsonProperty(value = "tage") String tage,
            @JsonProperty(value = "text") String text) {
        this.title = title;
        this.date = date;
        this.tage = tage;
        this.text = text;
    }

    public String getTitle() {
        return title;
    }

    public Date getDate() {
        return date;
    }

    public String getTage() {
        return tage;
    }

    public String getText() {
        return text;
    }
}
